summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorTim Rozet <trozet@redhat.com>2017-02-18 12:52:54 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-02-18 12:52:54 +0000
commit645949cbac2bb766d18dfd9f818b6c14545a35e2 (patch)
treeb263d9883e49ec162b6aa86ae7204b151e17a0c4 /lib
parent89f0410672d80015c419f77e69a5bb155cac2bfe (diff)
parenta7155293dba7c21f060b671b15fc36a66b84de83 (diff)
Merge "Adding Quagga to build"
Diffstat (limited to 'lib')
-rwxr-xr-xlib/overcloud-deploy-functions.sh9
-rwxr-xr-xlib/post-install-functions.sh5
2 files changed, 14 insertions, 0 deletions
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index f6522b8a..5a0334ae 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -69,6 +69,15 @@ function overcloud_deploy {
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" "rm -f overcloud-full.qcow2"
scp ${SSH_OPTIONS[@]} $IMAGES/overcloud-full-${SDN_IMAGE}.qcow2 "stack@$UNDERCLOUD":overcloud-full.qcow2
+ if [ "${deploy_options_array['vpn']}" == 'True' ]; then
+ echo -e "${blue}INFO: Enabling ZRPC and Quagga${reset}"
+ ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
+ LIBGUESTFS_BACKEND=direct virt-customize --run-command "yum -y install /root/quagga/*.rpm" \
+ --run-command "systemctl enable zrpcd" \
+ -a overcloud-full.qcow2
+EOI
+ fi
+
# Install ovs-dpdk inside the overcloud image if it is enabled.
if [[ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' || "${deploy_options_array['dataplane']}" == 'fdio' ]]; then
# install dpdk packages before ovs
diff --git a/lib/post-install-functions.sh b/lib/post-install-functions.sh
index 5ca91897..b7235952 100755
--- a/lib/post-install-functions.sh
+++ b/lib/post-install-functions.sh
@@ -271,4 +271,9 @@ if [[ "$ha_enabled" == 'True' ]]; then
# trozet disable congress in HA until congress bugs are fixed
overcloud_connect "controller0" "sudo pcs resource ban openstack-congress overcloud-controller-1; sudo pcs resource ban openstack-congress overcloud-controller-2; sudo systemctl restart openstack-congress"
fi
+
+if [ "${deploy_options_array['vpn']}" == 'True' ]; then
+ # Check zrpcd is started
+ overcloud_connect "controller0" "sudo systemctl status zrpcd > /dev/null || echo 'WARNING: zrpcd is not running on controller0'"
+fi
}